<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form demo</title>
</head>

<body>
    <h1>Please fill the form</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">
        Eesnimi: <br>
        <input type="text" name="firstName" required minlength="2" maxlength="25">
        <br>
        Perenimi: <br>
        <input type="text" name="lastName" required minlength="3" maxlength="25">
        <br>
        Sugu: <br>
        <select name="gender" required>
            <option value=""></option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
        </select>
        <br>
        Sünniaeg: <br>
        <input type="date" name="dateOfBirth" required>
        <br>
        Perekonnaseis: <br>
        <input type="radio" name="maritalStatus" value="single" id="maritalStatusSingle" required>
        <label for="maritalStatusSingle">Vallaline</label><br>
        <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted">
        <label for="maritalStatusCommitted">Vabaabielus</label><br>
        <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried">
        <label for="maritalStatusMarried">Abielus</label><br>
        <br>
        E-post: <br>
        <input type="email" name="email" required><br>
        Parool: <br>
        <input type="password" name="password" required>
        <br>
        Hobid: <br>
        <input type="checkbox" name="hobbies[]" value="jooksmine" id="hobbiesRunning">
        <label for="hobbiesRunning">Jooksmine</label>
        <br>
        <input type="checkbox" name="hobbies[]" value="ujumine" id="hobbiesSwimming">
        <label for="hobbiesSwimming">Ujumine</label>
        <br>
        <input type="checkbox" name="hobbies[]" value="lugemine" id="hobbiesReading">
        <label for="hobbiesReading">Lugemine</label>
        <br>
        Külastatud välisriigid: <br>
        <input type="number" name="numberOfVisitedCountries" required min="1" max="200" pattern="\d+">
        <br>
        Foto: <br>
        <input type="file" name="photo" required><br>

        <br><br>
        <input type="submit" value="Saada">
        <input type="reset" value="Puhasta väljad">
    </form>
</body>

</html>